# Package org.codehaus.groovy.antlr

Parser related classes.

- Interface Summary
  Interface | Description
  --- | ---
  AntlrASTProcessor | An interface for processing antlr AST objects
  SourceInfo |

- Class Summary
  Class | Description
  --- | ---
  AntlrASTProcessSnippets |
  AntlrParserPlugin | Deprecated.
  AntlrParserPluginFactory | Deprecated.
  EnumHelper |
  GroovySourceAST | We have an AST subclass so we can track source information.
  GroovySourceToken | This is a Token sub class to track line information
  LexerFrame | Deprecated. `LexerFrame` instead
  LineColumn | An object representing a line and column position
  PrimitiveHelper |
  SourceBuffer | A simple buffer that provides line/col access to chunks of source code held within itself.
  UnicodeEscapingReader | Deprecated.
  UnicodeLexerSharedInputState | Deprecated.

- Exception Summary
  Exception | Description
  --- | ---
  ASTParserException | Deprecated.
  ASTRuntimeException | Deprecated.